| The Gaudi Framework v32r1 (f65d50dc)

Classes | Typedefs | Functions
Gaudi::Hive Namespace Reference

## Classes
class | ContextSpecificData
| Implementation of a context specific storage accessible as a sort of smart reference class. More...
class | ContextSpecificPtr
| Simple implementation of a smart pointer with different values for different event contexts (slots). More...
class | FetchDataFromFile

## Typedefs
typedef std::size_t | ContextIdType
| Internal type used for the ContextId. More...

## Functions
GAUDI_API ContextIdType | currentContextId ()
| Return the current context id. More...
GAUDI_API ContextIdType | currentContextEvt ()
GAUDI_API const EventContext & | currentContext ()
GAUDI_API void | setCurrentContextId (ContextIdType newId)
| Used by the framework to change the value of the current context id. More...
GAUDI_API void | setCurrentContextEvt (long int evtN)
GAUDI_API void | setCurrentContextId (ContextIdType newId, long int evtN)
GAUDI_API void | setCurrentContextId (const EventContext *ctx)
GAUDI_API void | setCurrentContext (const EventContext *ctx)
GAUDI_API void | setCurrentContext (const EventContext &ctx)

## Typedef Documentation

## ◆ ContextIdType

typedef std::size_t Gaudi::Hive::ContextIdType

Internal type used for the ContextId.

Definition at line 13 of file ThreadLocalContext.h.

## Function Documentation

## ◆ currentContext()

const EventContext & Gaudi::Hive::currentContext | ( |  | ) |

Definition at line 20 of file ThreadLocalContext.cpp.

20 { return s_curCtx(); }

## ◆ currentContextEvt()

ContextIdType Gaudi::Hive::currentContextEvt | ( |  | ) |

Definition at line 19 of file ThreadLocalContext.cpp.

19 { return s_curCtx().evt(); }

## ◆ currentContextId()

ContextIdType Gaudi::Hive::currentContextId | ( |  | ) |

Return the current context id.

The returned id is valid only within the (sys)Execute method of algorithms.

Definition at line 18 of file ThreadLocalContext.cpp.

18 { return s_curCtx().slot(); }

## ◆ setCurrentContext() [1/2]

void Gaudi::Hive::setCurrentContext | ( | const EventContext * | ctx | ) |

Definition at line 31 of file ThreadLocalContext.cpp.

31 { s_curCtx() = *ctx; }

## ◆ setCurrentContext() [2/2]

void Gaudi::Hive::setCurrentContext | ( | const EventContext & | ctx | ) |

Definition at line 33 of file ThreadLocalContext.cpp.

33 { s_curCtx() = ctx; }

## ◆ setCurrentContextEvt()

void Gaudi::Hive::setCurrentContextEvt | ( | long int | evtN | ) |

Definition at line 22 of file ThreadLocalContext.cpp.

22 { s_curCtx().setEvt( evtN ); }

## ◆ setCurrentContextId() [1/3]

void Gaudi::Hive::setCurrentContextId | ( | ContextIdType | newId | ) |

Used by the framework to change the value of the current context id.

Definition at line 23 of file ThreadLocalContext.cpp.

23 { s_curCtx().setSlot( newId ); }

## ◆ setCurrentContextId() [2/3]

void Gaudi::Hive::setCurrentContextId | ( | ContextIdType | newId,
|  | long int | evtN
| ) |  |

Definition at line 26 of file ThreadLocalContext.cpp.

26 { s_curCtx().set( evtN, newId ); }

## ◆ setCurrentContextId() [3/3]

void Gaudi::Hive::setCurrentContextId | ( | const EventContext * | ctx | ) |

Definition at line 29 of file ThreadLocalContext.cpp.

29 { s_curCtx() = *ctx; }